Package org.drinkless.tdlib

# Class TdApi.ChatBoostLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoostLink

Enclosing class:
  TdApi

public static class TdApi.ChatBoostLink extends TdApi.Object
Contains an HTTPS link to boost a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPublic`
  True, if the link will work for non-members of the chat.
  `String`
  `link`
  The link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoostLink()`
  Contains an HTTPS link to boost a chat.
  `ChatBoostLink(String link, boolean isPublic)`
  Contains an HTTPS link to boost a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### link

    public String link
    The link.

  - ### isPublic

    public boolean isPublic
    True, if the link will work for non-members of the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoostLink

    public ChatBoostLink()
    Contains an HTTPS link to boost a chat.

  - ### ChatBoostLink

    public ChatBoostLink(String link, boolean isPublic)
    Contains an HTTPS link to boost a chat.
    Parameters:
      `link` - The link.
      `isPublic` - True, if the link will work for non-members of the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR